<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="group">
    <name>globus_openssl_error_api</name>
    <title>Globus OPENSSL Error API</title>
    <filename>group__globus__openssl__error__api.html</filename>
    <subgroup>globus_gsi_openssl_error_activation</subgroup>
    <subgroup>globus_openssl_error_object</subgroup>
    <subgroup>globus_openssl_error_utility</subgroup>
    <docanchor>globus_openssl_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gsi_openssl_error_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__openssl__error__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_OPENSSL_ERROR_MODULE</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_openssl_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__openssl__error__object.html</filename>
    <member kind="function">
      <type>unsigned long</type>
      <name>globus_openssl_error_handle_get_error_code</name>
      <anchor>ga0</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_data</name>
      <anchor>ga1</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_openssl_error_handle_get_data_flags</name>
      <anchor>ga2</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_filename</name>
      <anchor>ga3</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_openssl_error_handle_get_linenumber</name>
      <anchor>ga4</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_library</name>
      <anchor>ga5</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_function</name>
      <anchor>ga6</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_reason</name>
      <anchor>ga7</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_openssl_error</name>
      <anchor>ga8</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_openssl_error</name>
      <anchor>ga9</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, globus_openssl_error_handle_t openssl_error_handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_error_openssl_error_get_filename</name>
      <anchor>ga10</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_error_openssl_error_get_linenumber</name>
      <anchor>ga11</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_error_openssl_error_get_library</name>
      <anchor>ga12</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_error_openssl_error_get_function</name>
      <anchor>ga13</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_error_openssl_error_get_reason</name>
      <anchor>ga14</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_error_openssl_error_get_data</name>
      <anchor>ga15</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_error_openssl_error_get_data_flags</name>
      <anchor>ga16</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_OPENSSL</name>
      <anchor>ga17</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_openssl_error_utility</name>
    <title>Error Helper Functions</title>
    <filename>group__globus__openssl__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_match_openssl_error</name>
      <anchor>ga0</anchor>
      <arglist>(globus_object_t *error, unsigned long library, unsigned long function, unsigned long reason)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_wrap_openssl_error</name>
      <anchor>ga1</anchor>
      <arglist>(globus_module_descriptor_t *base_source, int error_type, const char *source_file, const char *source_func, int source_line, const char *format,...)</arglist>
    </member>
  </compound>
</tagfile>
